package cn.com.ctop.job.live.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 广告计划对象 kuaishou_live_campaign_list
 *
 * @author ruoyi
 * @date 2022-07-28
 */
@Data
public class KuaishouLiveCampaignList {
    private static final long serialVersionUID = 1L;

    /**
     * 账户id
     */
    private Long accountId;

    /**
     * 计划id
     */
    private Long campaignId;

    /**
     * 计划名称
     */
    @Excel(name = "计划名称")
    private String campaignName;

    /**
     * 计划创建时间
     */
    @Excel(name = "计划创建时间")
    private Long campaignCreateTime;

    /**
     * 请求时间
     */
    @Excel(name = "请求时间")
    private Long reportDate;

    /**
     * 计划状态
     */
    @Excel(name = "计划状态")
    private Long viewStatus;

    /**
     * 今日预算
     */
    @Excel(name = "今日预算")
    private Long dayBudget;

    /**
     * 营销目标
     */
    @Excel(name = "营销目标")
    private String campaignType;

}
