package cn.com.ctop.job.live.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 素材对象 kuaishou_live_video_list
 *
 * @author ruoyi
 * @date 2022-07-28
 */
@Data
public class KuaishouLiveVideoList {
    private static final long serialVersionUID = 1L;

    /**
     * 账户id
     */
    private Long accountId;

    /**
     * 视频名称
     */
    @Excel(name = "视频名称")
    private String photoName;

    /**
     * 视频id
     */
    private Long photoId;

    /**
     * 视频标签
     */
    @Excel(name = "视频标签")
    private String photoTag;

    /**
     * 视频时长
     */
    @Excel(name = "视频时长")
    private Long duration;

    /**
     * 视频创建时间
     */
    @Excel(name = "视频创建时间")
    private String createTime;

    /**
     * 视频链接
     */
    @Excel(name = "视频链接")
    private String url;

    /**
     * 视频封面
     */
    @Excel(name = "视频封面")
    private String coverUrl;

    /**
     * 视频高度
     */
    @Excel(name = "视频高度")
    private Long height;

    /**
     * 视频宽度
     */
    @Excel(name = "视频宽度")
    private Long width;
}
