package cn.com.ctop.job.live.mapper;

import cn.com.ctop.job.live.entity.KuaishouLiveCampaignList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 广告计划Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-28
 */
public interface KuaishouLiveCampaignListMapper {
    /**
     * 查询广告计划
     *
     * @param accountId 广告计划主键
     * @return 广告计划
     */
    public KuaishouLiveCampaignList selectKuaishouLiveCampaignListByAccountId(Long accountId);

    /**
     * 查询广告计划列表
     *
     * @param kuaishouLiveCampaignList 广告计划
     * @return 广告计划集合
     */
    public List<KuaishouLiveCampaignList> selectKuaishouLiveCampaignListList(KuaishouLiveCampaignList kuaishouLiveCampaignList);

    void replaceBatch(@Param("list") List<KuaishouLiveCampaignList> list);
}
