package cn.com.ctop.job.live.mapper;

import cn.com.ctop.job.live.entity.KuaishouLiveVideoList;

import java.util.List;


/**
 * 素材Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-28
 */
public interface KuaishouLiveVideoListMapper {
    /**
     * 查询素材
     *
     * @param accountId 素材主键
     * @return 素材
     */
    public KuaishouLiveVideoList selectKuaishouLiveVideoListByAccountId(Long accountId);

    /**
     * 查询素材列表
     *
     * @param kuaishouLiveVideoList 素材
     * @return 素材集合
     */
    public List<KuaishouLiveVideoList> selectKuaishouLiveVideoListList(KuaishouLiveVideoList kuaishouLiveVideoList);

}
