package cn.com.ctop.job.live.service;

import cn.com.ctop.job.live.entity.KuaishouLiveCreativeList;
import cn.com.ctop.job.live.utils.Result;

import java.util.List;

/**
 * 创意Service接口
 *
 * @author ruoyi
 * @date 2022-07-28
 */
public interface IKuaishouLiveCreativeListService {
    /**
     * 查询创意
     *
     * @param accountId 创意主键
     * @return 创意
     */
    public KuaishouLiveCreativeList selectKuaishouLiveCreativeListByAccountId(Long accountId);

    /**
     * 查询创意列表
     *
     * @param kuaishouLiveCreativeList 创意
     * @return 创意集合
     */
    public List<KuaishouLiveCreativeList> selectKuaishouLiveCreativeListList(KuaishouLiveCreativeList kuaishouLiveCreativeList);

    public Result<Object> getKuaishouCreative(Long accountId, String token);
}