package cn.com.ctop.job.live.service;

import cn.com.ctop.job.live.entity.KuaishouLiveUnitList;
import cn.com.ctop.job.live.utils.Result;

import java.util.List;

/**
 * 广告组Service接口
 *
 * @author ruoyi
 * @date 2022-07-28
 */
public interface IKuaishouLiveUnitListService {
    /**
     * 查询广告组
     *
     * @param accountId 广告组主键
     * @return 广告组
     */
    public KuaishouLiveUnitList selectKuaishouLiveUnitListByAccountId(Long accountId);

    /**
     * 查询广告组列表
     *
     * @param kuaishouLiveUnitList 广告组
     * @return 广告组集合
     */
    public List<KuaishouLiveUnitList> selectKuaishouLiveUnitListList(KuaishouLiveUnitList kuaishouLiveUnitList);


    public Result<Object> getKuaishouUnit(Long accountId, String token);
}