package cn.com.ctop.job.live.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 创意对象 kuaishou_live_creative_list
 *
 * @author ruoyi
 * @date 2022-07-28
 */
@Data
public class KuaishouLiveCreativeList {
    private static final long serialVersionUID = 1L;

    /** 账户id */
    private Long accountId;

    /** 计划id */
    @Excel(name = "计划id")
    private Long campaignId;

    /** 计划名称 */
    @Excel(name = "计划名称")
    private String campaignName;

    /** 组id */
    @Excel(name = "组id")
    private Long unitId;

    /** 组名称 */
    @Excel(name = "组名称")
    private String unitName;

    /** 创意id */
    private Long creativeId;

    /** 创意名称 */
    @Excel(name = "创意名称")
    private String creativeName;

    /** 计划创建时间 */
    @Excel(name = "创意创建时间")
    private Long creativeCreateTime;

    /** 请求时间 */
    @Excel(name = "请求时间")
    private Long reportDate;

    /** 计划状态 */
    @Excel(name = "计划状态")
    private Long viewStatus;

    /** 投放方式 */
    @Excel(name = "投放方式")
    private Long speed;

    /** 创意样式 */
    @Excel(name = "创意样式")
    private String liveCreativeType;

    /** 创意创建方式 */
    @Excel(name = "创意创建方式")
    private String creativeSourceTypeStr;

}
