package cn.com.ctop.job.live.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 广告组对象 kuaishou_live_unit_list
 *
 * @author ruoyi
 * @date 2022-07-28
 */
@Data
public class KuaishouLiveUnitList {
    private static final long serialVersionUID = 1L;

    /**
     * 账户id
     */
    private Long accountId;

    /**
     * 计划id
     */
    private Long campaignId;

    /**
     * 计划名称
     */
    @Excel(name = "计划名称")
    private String campaignName;

    /**
     * 组id
     */
    private Long unitId;

    /**
     * 组名称
     */
    @Excel(name = "组名称")
    private String unitName;

    /**
     * 计划创建时间
     */
    @Excel(name = "计划创建时间")
    private Long unitCreateTime;

    /**
     * 请求时间
     */
    @Excel(name = "请求时间")
    private Long reportDate;

    /**
     * 计划状态
     */
    @Excel(name = "计划状态")
    private Long viewStatus;

    /**
     * 今日预算
     */
    @Excel(name = "今日预算")
    private Long dayBudget;

    /**
     * 营销目标
     */
    @Excel(name = "营销目标")
    private String campaignType;

    /**
     * 转化目标
     */
    @Excel(name = "转化目标")
    private Long ocpxActionType;

    /**
     * 成本上限
     */
    @Excel(name = "成本上限")
    private String bidDetail;

    /**
     * 创意组成方式
     */
    @Excel(name = "创意组成方式")
    private String creativeBuildTypeStr;

    /**
     * 投放方式
     */
    @Excel(name = "投放方式")
    private Long speed;

    /**
     * 探索工具
     */
    @Excel(name = "探索工具")
    private String exploreTools;

    /**
     * 同时优化目标
     */
    @Excel(name = "同时优化目标")
    private String simultaneousOptimizationType;

    /**
     * 人群扩量
     */
    @Excel(name = "人群扩量")
    private String targetExtend;
}
