package cn.com.ctop.job.live.mapper;

import cn.com.ctop.job.live.entity.KuaishouLiveCreativeList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 创意Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-28
 */
public interface KuaishouLiveCreativeListMapper {
    /**
     * 查询创意
     *
     * @param accountId 创意主键
     * @return 创意
     */
    public KuaishouLiveCreativeList selectKuaishouLiveCreativeListByAccountId(Long accountId);

    /**
     * 查询创意列表
     *
     * @param kuaishouLiveCreativeList 创意
     * @return 创意集合
     */
    public List<KuaishouLiveCreativeList> selectKuaishouLiveCreativeListList(KuaishouLiveCreativeList kuaishouLiveCreativeList);

    void replaceBatch(@Param("list") List<KuaishouLiveCreativeList> list);

}
