package cn.com.ctop.job.live.mapper;

import cn.com.ctop.job.live.entity.KuaishouLiveCampaignList;
import cn.com.ctop.job.live.entity.KuaishouLiveUnitList;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 广告组Mapper接口
 *
 * @author ruoyi
 * @date 2022-07-28
 */
public interface KuaishouLiveUnitListMapper {
    /**
     * 查询广告组
     *
     * @param accountId 广告组主键
     * @return 广告组
     */
    public KuaishouLiveUnitList selectKuaishouLiveUnitListByAccountId(Long accountId);

    /**
     * 查询广告组列表
     *
     * @param kuaishouLiveUnitList 广告组
     * @return 广告组集合
     */
    public List<KuaishouLiveUnitList> selectKuaishouLiveUnitListList(KuaishouLiveUnitList kuaishouLiveUnitList);


    void replaceBatch(@Param("list") List<KuaishouLiveUnitList> list);
}
