package cn.com.ctop.job.live.service;

import cn.com.ctop.job.live.entity.KuaishouLiveCampaignList;
import cn.com.ctop.job.live.utils.Result;

import java.util.List;

/**
 * 广告计划Service接口
 *
 * @author ruoyi
 * @date 2022-07-28
 */
public interface IKuaishouLiveCampaignListService {

    /**
     * 查询广告计划
     *
     * @param accountId 广告计划主键
     * @return 广告计划
     */
    public KuaishouLiveCampaignList selectKuaishouLiveCampaignListByAccountId(Long accountId);

    /**
     * 查询广告计划列表
     *
     * @param kuaishouLiveCampaignList 广告计划
     * @return 广告计划集合
     */
    public List<KuaishouLiveCampaignList> selectKuaishouLiveCampaignListList(KuaishouLiveCampaignList kuaishouLiveCampaignList);


    public Result<Object> getKuaishouCampaign(Long accountId, String token);
}